# Collapse Debian versions down to their major version. We don't want
# the sstate-cache paths changing when we upgrade to a new minor
# version.

def brightsign_lsb_adjust_hook(distro_id, release):
    if distro_id in ('Debian'):
        try:
            major_ver, _ = release.split('.', 1)
        except ValueError:
            pass
        else:
            release = major_ver

    return distro_id, release

LSB_DISTRO_ADJUST = "brightsign_lsb_adjust_hook"
