PV = "5.4+20150715T151617+2c13d19+20150720T121725+b33ea24-bs"
SRC_URI = "http://should-already-by-in-dl-dir/qtwebengine-5.4+20150715T151617+2c13d19+20150720T121725+b33ea24-bs.tar.gz"
SRC_URI[md5sum] = "01f40a3269ef9761fe6885066bacd7c0"
SRC_URI[sha256sum] = "1a4caad72cc68285e183c5a686a6e2950f54ba1a4613e329668428d9af26d47e"
inherit nfsquick

require recipes-qt/qt5/qtwebengine.inc

DEPENDS += "expat harfbuzz icu jpeg libpng libusb libxml2 libxslt fontconfig freetype"

EXTRA_QMAKEVARS_PRE += "EXTRA_GYP="-Denable_app_list=0 -Duse_libjpeg_turbo=0 -Duse_system_libjpeg=1 -Dsafe_browsing=0 \
		        -Dinput_speech=0 -Dnotifications=0 -Denable_google_now=0 -Denable_printing=0 \
	     		-Denable_spellcheck=0 -Denable_background=0 -Denable_task_manager=0 \
	     		-Denable_one_click_signin=0 -Denable_pre_sync_backup=0 \
	     		-Dremoting=0 -Duse_system_fontconfig=1 -D dcheck_always_on=1""

UNWINDING = ""


LDFLAGS += "-Wl,-Map,link.map"
CXXFLAGS += "-std=gnu++11"

do_unbundle() {
    cd ${S}/src/3rdparty
    ./chromium/build/linux/unbundle/replace_gyp_files.py -Duse_system_expat=1 -Duse_system_harfbuzz=1 -Duse_system_icu=1 -Duse_system_libjpeg=1 -Duse_system_libpng=1 -Duse_system_libusb=1 -Duse_system_libxml=1 -Duse_system_libxslt=1
    # -Duse_system_openssl=1 doesn't work (SSL_MODE_HANDSHAKE_CUTTHROUGH etc missing)
    # -Duse_system_zlib=1 doesn't work
    # -Duse_system_sqlite=1 doesn't work
}

addtask unbundle after do_patch before do_configure

# Be careful with this one, do_install_append does rm -rf on it.
QTWEBENGINE_REMOVE_PATH = "${D}${datadir}/qt5/translations"

do_install_append() {
	install -m 0644 ${S}/src/3rdparty/chromium/brcm/media/media_player/brightsign/brightsign_media_glue.h ${D}${includedir}/qt5/QtWebEngineWidgets/
	install -m 0644 ${S}/src/3rdparty/chromium/third_party/WebKit/Source/modules/brightscript/BrightsignJavascriptGlueFactory.h ${D}${includedir}/qt5/QtWebEngineWidgets/
	install -m 0644 ${S}/src/3rdparty/chromium/third_party/WebKit/Source/modules/brightscript/BSConfig.h ${D}${includedir}/qt5/QtWebEngineWidgets/
	rm -rf ${QTWEBENGINE_REMOVE_PATH}
}

