SRC_URI = "git://github.com/vincentbernat/lldpd.git;protocol=http;rev=797da1252a18672c3c6385127b9a1ad0cbf4073b;name=lldpd \
	git://github.com/libevent/libevent.git;protocol=http;name=libevent;destsuffix=git/libevent;rev=e826f19e05b65ffea1a1699160cee7516962c939 \
	file://caps.patch \
	file://lldpd.sh \
	file://lldpd.conf"

#	file://snmp.patch 

SRC_URI[md5sum] = "2b9cf6bda8d271e0d6808c9bc6c4fc7b"
SRC_URI[sha256sum] = "ab88183a55a13334c3e391151718ba14d496bb84e787a31db7d45799bad7ff01"

LICENSE = "ISC"
LIC_FILES_CHKSUM = "file://README.md;start=247;end=259;md5=9aabe50b1ee1cab78adc3766dff37566"

EXTRA_OECONF = "\
    --without-snmp \
    --without-readline \
    --without-xml \
    --without-json \
    --without-seccomp \
    "

S = "${WORKDIR}/git"

do_install_append() {
	install -d ${D}${sysconfdir}/rc2.d
	install -m 0755 ${WORKDIR}/lldpd.sh ${D}${sysconfdir}/rc2.d/S32lldpd
	install -m 0755 ${WORKDIR}/lldpd.conf ${D}${sysconfdir}/lldpd.conf

        # Remove unused zsh completions
        rm -rf ${D}${datadir}/zsh
}

inherit autotools useradd pkgconfig

USERADD_PACKAGES = "${PN}"
USERADD_PARAM_${PN} = "\
    --system --home / \
    --no-create-home --shell /bin/false \
    --user-group _lldpd"
